Data Science with Python | Ajay

Discussion in 'Big Data and Analytics' started by Nishant_Singh, May 3, 2019.

  1. Nishant_Singh

    Nishant_Singh Well-Known Member
    Simplilearn Support

    Joined:
    Aug 1, 2018
    Messages:
    244
    Likes Received:
    49
    #1
  2. Owolabi Dare

    Owolabi Dare New Member

    Joined:
    Mar 28, 2019
    Messages:
    1
    Likes Received:
    0
    Hello Nishan, i am having a trouble with importing the files into my commands. please how will i solve this problem.
    to be precise, both assignments on lesson 7
     
    #2
  3. Nishant_Singh

    Nishant_Singh Well-Known Member
    Simplilearn Support

    Joined:
    Aug 1, 2018
    Messages:
    244
    Likes Received:
    49
    Hi Owolabi,

    Please share your screenshots of the error that you are getting and also, do upload your ".ipynb" files which you have created by attaching them in a ZIP file on this thread so that I can check your code and properly assist you.

    I hope that this will help you.

    Awaiting your reply.

    Regards,
    Nishant Singh
    Senior Global Teaching Assistant
    Simplilearn
     
    #3
  4. Mukesh Rupapara

    Joined:
    Mar 14, 2019
    Messages:
    2
    Likes Received:
    0
    Question: I have installed the mysql.connector module in Jupyter notebook. What is default password for mysql when we intiate the connection object like below but it is giving password error.

    import mysql.connector
    mydb = mysql.connector.connect(
    host = "localhost",
    user = "root",
    passwd = "password" )
    print(mydb)

    -----------------------------------------------
    ---------------------------------------------------------------------------
    ConnectionRefusedError Traceback (most recent call last)
    C:\ProgramData\Anaconda3\lib\site-packages\mysql\connector\network.py in open_connection(self)
    508 self.sock.settimeout(self._connection_timeout)
    --> 509self.sock.connect(sockaddr)
    510 except IOError as err:

    ConnectionRefusedError: [WinError 10061] No connection could be made because the target machine actively refused it

    During handling of the above exception, another exception occurred:

    InterfaceError Traceback (most recent call last)
    <ipython-input-12-22f59020f5cb> in <module>
    2 host = "localhost",
    3 user = "root",
    ----> 4 passwd = "password" )
    5 print(mydb)

    C:\ProgramData\Anaconda3\lib\site-packages\mysql\connector\__init__.py in connect(*args, **kwargs)
    177 return CMySQLConnection(*args, **kwargs)
    178 else:
    --> 179return MySQLConnection(*args, **kwargs)
    180 Connect = connect # pylint: disable=C0103
    181

    C:\ProgramData\Anaconda3\lib\site-packages\mysql\connector\connection.py in __init__(self, *args, **kwargs)
    93
    94 if len(kwargs) > 0:
    ---> 95self.connect(**kwargs)
    96
    97 def _do_handshake(self):

    C:\ProgramData\Anaconda3\lib\site-packages\mysql\connector\abstracts.py in connect(self, **kwargs)
    714
    715 self.disconnect()
    --> 716self._open_connection()
    717 self._post_connection()
    718

    C:\ProgramData\Anaconda3\lib\site-packages\mysql\connector\connection.py in _open_connection(self)
    204 self._protocol = MySQLProtocol()
    205 self._socket = self._get_connection()
    --> 206self._socket.open_connection()
    207 self._do_handshake()
    208 self._do_auth(self._user, self._password,

    C:\ProgramData\Anaconda3\lib\site-packages\mysql\connector\network.py in open_connection(self)
    510 except IOError as err:
    511 raise errors.InterfaceError(
    --> 512 errno=2003, values=(self.get_address(), _strioerror(err)))
    513 except Exception as err:
    514 raise errors.OperationalError(str(err))

    InterfaceError: 2003: Can't connect to MySQL server on 'localhost:3306' (10061 No connection could be made because the target machine actively refused it)
     
    #4
  5. Sara Kaleem

    Sara Kaleem Member

    Joined:
    May 29, 2019
    Messages:
    12
    Likes Received:
    2
    Hey!
    Could anyone let me know how and where to study about the algorithms used for optimization in SciPy. I dont know anyone of the algorithm used in the course. So it would be a great help if someone let me know where to study optimization algorithm from.
    Thanks
     
    #5

Share This Page